Subject: bug#20385: [PROPOSED PATCH] Support quoting 'like this' in doc strings

From: Paul Eggert <[email-masked]>
Date: Wed, 22 Apr 2015 16:37:14 -0700

Eli Zaretskii wrote:

> So if we want this to become our default, we need changes in
> ispell.el, to replace ’ with ' before we sent it to the speller.

Although a change like that might make sense, it appears to go beyond what's 
needed for doc strings.  I was thinking of something more modest: change Emacs 
so that if you're editing an Elisp or C string, then when you type `like-this' 
it's by default changed to ‘like-this’.  This would not need to happen 
everywhere, but it would be the default when editing Emacs source code because 
we'd put the appropriate setting into .dir-locals.el.

Or were you thinking about spell-checking doc strings?  If so, I don't see how 
changing the quoting style affects how the spell-checker works.  It wouldn't 
affect the way I spell-check code, anyway.  Could you give an example?